<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{4A78E675-764C-46FB-B539-B0C0F367F670}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>FooEditEngine.Windows</RootNamespace>
    <AssemblyName>FooEditEngine.Windows</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>TRACE;DEBUG;WINFORM</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    <DocumentationFile>bin\Debug\FooEditEngine.Windows.XML</DocumentationFile>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE;WINFORM</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
    <Prefer32Bit>false</Prefer32Bit>
    <DocumentationFile>bin\Release\FooEditEngine.Windows.XML</DocumentationFile>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="SharpDX">
      <HintPath>..\..\Libs\SharpDX.dll</HintPath>
    </Reference>
    <Reference Include="SharpDX.Direct2D1">
      <HintPath>..\..\Libs\SharpDX.Direct2D1.dll</HintPath>
    </Reference>
    <Reference Include="SharpDX.DXGI">
      <HintPath>..\..\Libs\SharpDX.DXGI.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="..\..\Common\CollectionDebugView.cs">
      <Link>CollectionDebugView.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\Controller.cs">
      <Link>Controller.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\Direct2D\CustomTextRenderer.cs">
      <Link>CustomTextRenderer.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\Direct2D\D2DRenderCommon.cs">
      <Link>D2DRenderCommon.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\Direct2D\DrawingEffect.cs">
      <Link>DrawingEffect.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\Direct2D\InlineChar.cs">
      <Link>InlineChar.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\Direct2D\MarkerFactory.cs">
      <Link>MarkerFactory.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\Direct2D\MultiSet.cs">
      <Link>MultiSet.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\Direct2D\MyTextLayout.cs">
      <Link>MyTextLayout.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\Document.cs">
      <Link>Document.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\EditView.cs">
      <Link>EditView.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\FoldingCollection.cs">
      <Link>FoldingCollection.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\GapBuffer+Enumerator.cs">
      <Link>GapBuffer+Enumerator.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\GapBuffer.cs">
      <Link>GapBuffer.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\IFoldingStrategy.cs">
      <Link>IFoldingStrategy.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\IHilighter.cs">
      <Link>IHilighter.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\ITextRender.cs">
      <Link>ITextRender.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\LineToIndex.cs">
      <Link>LineToIndex.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\MarkerCollection.cs">
      <Link>MarkerCollection.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\PrintableView.cs">
      <Link>PrintableView.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\Range.cs">
      <Link>Range.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\RangeCollection.cs">
      <Link>RangeCollection.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\RangeTree.cs">
      <Link>RangeTree.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\RangeTreeNode.cs">
      <Link>RangeTreeNode.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\ResourceManager.cs">
      <Link>ResourceManager.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\SelectCollection.cs">
      <Link>SelectCollection.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\StringBuffer.cs">
      <Link>StringBuffer.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\TextPoint.cs">
      <Link>TextPoint.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\UndoCommands.cs">
      <Link>UndoCommands.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\UndoManager.cs">
      <Link>UndoManager.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\Util.cs">
      <Link>Util.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\ViewBase.cs">
      <Link>ViewBase.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\WatchDogPattern.cs">
      <Link>WatchDogPattern.cs</Link>
    </Compile>
    <Compile Include="..\..\Common\WinFileStream.cs">
      <Link>WinFileStream.cs</Link>
    </Compile>
    <Compile Include="D2DTextRender.cs" />
    <Compile Include="FooPrintText.cs" />
    <Compile Include="FooTextBox.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="PrintableTextRender.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="WinIME.cs" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>